curl --request GET \
--url https://app.tryspecter.com/api/v1/network/connection/{companyId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/network/connection/{companyId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/network/connection/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tryspecter.com/api/v1/network/connection/{companyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tryspecter.com/api/v1/network/connection/{companyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tryspecter.com/api/v1/network/connection/{companyId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.tryspecter.com/api/v1/network/connection/{companyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"company_id": "5e3a8f9f040ca7b0c6f29438",
"contacts": [
{
"person_id": "per_022a5155e9c26b1eee3349a6",
"full_name": "Dalila Assoumani",
"headline": "Head of Buyside Solutions France Belgium Luxembourg",
"profile_picture_url": "https://peopledb-public.s3.eu-west-2.amazonaws.com/assets/profile-pictures/per_027f0c934e51f0f6396f5617.jpg",
"linkedin_url": "https://www.linkedin.com/in/dalila-assoumani-9b698238",
"twitter_url": "https://twitter.com/janedoe",
"github_url": "https://github.com/janedoe",
"connected_teammates": [
"user_xxx"
]
}
],
"roles": [
"Investor",
"Operator",
"Founder"
],
"connected_teammates": [
"user_xxx"
]
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "OUT_OF_CREDITS",
"message": "There are no more credits available to complete the request"
}{
"errorCode": "NOT_PERMITTED",
"message": "API key present, but you are not permitted"
}{
"errorCode": "NOT_FOUND",
"message": "Not Found"
}{
"errorCode": "VALIDATION_ERROR",
"message": "Field required (body.name)"
}{
"errorCode": "RATE_LIMITED",
"message": "You have been rate-limited"
}{
"errorCode": "clerk_unavailable",
"message": "Key verification is temporarily unavailable"
}Get network connections at a company
Returns your team’s connections at a specific company, who you know there, what roles they hold and which teammates are linked to them.
Costs 1 credit per request, returning up to 50 results per page.
What you need
To get started, connect your LinkedIn in
your integration settings.
You also need a Specter companyId in the path. If you only have a domain,
website, or name, get the ID first with
Find company ID (batch, free),
or find it by name with
Search entities by name.
Behaviour
-
The
companyIdpath parameter is required. -
Returns
404when the org has no resolvable contacts at the requested company.
What you do next
-
Open a contact’s profile. Pass a contact’s
person_idto Get person by ID. -
Get an email. Fetch a verified address for a contact with Get person email.
curl --request GET \
--url https://app.tryspecter.com/api/v1/network/connection/{companyId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.tryspecter.com/api/v1/network/connection/{companyId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.tryspecter.com/api/v1/network/connection/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.tryspecter.com/api/v1/network/connection/{companyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tryspecter.com/api/v1/network/connection/{companyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.tryspecter.com/api/v1/network/connection/{companyId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.tryspecter.com/api/v1/network/connection/{companyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"company_id": "5e3a8f9f040ca7b0c6f29438",
"contacts": [
{
"person_id": "per_022a5155e9c26b1eee3349a6",
"full_name": "Dalila Assoumani",
"headline": "Head of Buyside Solutions France Belgium Luxembourg",
"profile_picture_url": "https://peopledb-public.s3.eu-west-2.amazonaws.com/assets/profile-pictures/per_027f0c934e51f0f6396f5617.jpg",
"linkedin_url": "https://www.linkedin.com/in/dalila-assoumani-9b698238",
"twitter_url": "https://twitter.com/janedoe",
"github_url": "https://github.com/janedoe",
"connected_teammates": [
"user_xxx"
]
}
],
"roles": [
"Investor",
"Operator",
"Founder"
],
"connected_teammates": [
"user_xxx"
]
}{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}{
"errorCode": "OUT_OF_CREDITS",
"message": "There are no more credits available to complete the request"
}{
"errorCode": "NOT_PERMITTED",
"message": "API key present, but you are not permitted"
}{
"errorCode": "NOT_FOUND",
"message": "Not Found"
}{
"errorCode": "VALIDATION_ERROR",
"message": "Field required (body.name)"
}{
"errorCode": "RATE_LIMITED",
"message": "You have been rate-limited"
}{
"errorCode": "clerk_unavailable",
"message": "Key verification is temporarily unavailable"
}Authorizations
Path Parameters
The Specter company ID.
Query Parameters
The number of results to return per page (minimum 1, maximum 50, default 50). A page is the unit these endpoints are priced in, so it cannot be widened beyond 50.
1 <= x <= 50The page number of results to return, base 0, default is 0.
x >= 0Response
Your team's network connections at a specific company.
Your team's network presence at a single company - who you know there, their roles, and which teammates are connected to them.
The Specter company id of the queried company.
"5e3a8f9f040ca7b0c6f29438"
People in your team's network who currently work at this company.
Show child attributes
Show child attributes
Distinct role classifications across all contacts at this company (e.g. engineer, founder). Useful for filtering or summarising the type of relationship the org has at this company.
["Investor", "Operator", "Founder"]
Internal Specter user IDs of all teammates who hold at least one connection at this company.
["user_xxx"]
Was this page helpful?